allow_dev_auto_core_updates filter-hookWP 3.7.0

Filters whether to enable automatic core updates for development versions.

Usage

add_filter( 'allow_dev_auto_core_updates', 'wp_kama_allow_dev_auto_core_updates_filter' );

/**
 * Function for `allow_dev_auto_core_updates` filter-hook.
 * 
 * @param bool $upgrade_dev Whether to enable automatic updates for development versions.
 *
 * @return bool
 */
function wp_kama_allow_dev_auto_core_updates_filter( $upgrade_dev ){

	// filter...
	return $upgrade_dev;
}
$upgrade_dev(true|false)
Whether to enable automatic updates for development versions.

Changelog

Since 3.7.0 Introduced.

Where the hook is called

Core_Upgrader::should_update_to_version()
allow_dev_auto_core_updates
core_auto_updates_settings()
allow_dev_auto_core_updates
WP_Site_Health_Auto_Updates::test_accepts_dev_updates()
allow_dev_auto_core_updates
wp-admin/includes/class-core-upgrader.php 351
if ( ! apply_filters( 'allow_dev_auto_core_updates', $upgrade_dev ) ) {
wp-admin/update-core.php 372
$upgrade_dev = apply_filters( 'allow_dev_auto_core_updates', $upgrade_dev );
wp-admin/includes/class-wp-site-health-auto-updates.php 413
if ( ! apply_filters( 'allow_dev_auto_core_updates', $wp_version ) ) {

Where the hook is used in WordPress

Usage not found.